# US_library

This repository is dedicated to the library made by echOpen for signal processing and displaying the image in real time. The goal is to use this library as a gitsubmodule in the labtool and both smartphone applications (androïd and macos).

This library include 1D signal processing and 2D (image) processing.

## 1D signal processing
This sub-library will contain signal processing on 1D data such as:

* level shifting
* gain
* energy calculation
* FIR filter
* IQ demodulation
* fft based signal processing?
* etc.

## 2D signal processing
Thsi sub-library will contain signal processing on 2D data such as:

* scan conversion
* LUT (gray level tables)
* image filter
* etc.


### To do

* makefile
* use gtest for unit tests
* make doxygen documentation
